Next: minilzo, Previous: Gnulib, Up: Updating external code [Contents][Index]

### 5.2 jsmn

jsmn is a minimalistic JSON parser which is implemented in a single header file `jsmn.h`. To import a different version of the jsmn parser, you may simply download the `jsmn.h` header from the desired tag or commit to the target directory:

    curl -L https://raw.githubusercontent.com/zserge/jsmn/v1.1.0/jsmn.h \
        -o grub-core/lib/json/jsmn.h